using System;
using System.IO;
using System.Runtime.CompilerServices;
using System.Windows.Forms;

namespace PDF417EAN
{
    public static class Log
    {
        private static string fname = "Log.log";

        static Log()
        {
            fname = AppDomain.CurrentDomain.BaseDirectory + Application.ProductName;
        }

        [MethodImpl(MethodImplOptions.Synchronized)]
        public static void Add(string mess, string stackTrace)
        {
            try
            {
                var f = new FileInfo(fname + ".log");
                StreamWriter w;
                w = !f.Exists ? f.CreateText() : f.AppendText();
                w.WriteLine("{0} {1}\r\n{2}", DateTime.Now.ToString("dd.MM.yyyy HH:mm:ss"), mess, stackTrace);
                w.Close();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.StackTrace);
            }
        }

        [MethodImpl(MethodImplOptions.Synchronized)]
        public static void Add(string str)
        {
            try
            {
                var f = new FileInfo(fname + ".log");
                StreamWriter w;
                w = !f.Exists ? f.CreateText() : f.AppendText();
                w.WriteLine("{0} {1}", DateTime.Now.ToString("dd.MM.yyyy HH:mm:ss"), str);
                w.Close();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.StackTrace);
            }
        }
    }
}
